Query Pick List Position
curl --request GET \
--url https://api.jtl-cloud.com/erp/v1/wms/{warehouseId}/picklists/{picklistId} \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v1/wms/{warehouseId}/picklists/{picklistId}"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v1/wms/{warehouseId}/picklists/{picklistId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"Id": 123,
"WarehouseId": 123,
"PicklistId": 123,
"StorageLocationId": 123,
"ItemId": 123,
"Quantity": 123,
"Status": 10,
"Priority": 123,
"SalesOrderLineItemId": 123,
"CreatedAt": "2023-11-07T05:31:56Z",
"SalesOrderId": 123
}
]{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}WMS
Query Pick List Position
deprecated
Query all positions for a given pick list
GET
/
v1
/
wms
/
{warehouseId}
/
picklists
/
{picklistId}
Query Pick List Position
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
The id of the wms warehouse that the pick list belong to.
The id of the pick list.
Response
Returns all pick lists positions for an given pick list.
Id of the pick list position.
Id of the warehouse.
Id of the pick list.
Id of the storage location from where the pick should happen.
Id of the item.
Quantity to pick.
Status of the position.
Available options:
10, 11, 20, 30, 40 Priority of the position.
Id of the corresponding order position.
Time when the pick list was created.
Search for a specific sales order Id.
Was this page helpful?